/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { CommodityChannelIndexIndicatorStrategy } from "./CommodityChannelIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class CommodityChannelIndexIndicator extends StrategyBasedIndicator {
    get_p0() {
        return new CommodityChannelIndexIndicatorStrategy();
    }
    get p0() {
        return this.get_p0();
    }
    get_qd() {
        return CommodityChannelIndexIndicator.$;
    }
    get qd() {
        return this.get_qd();
    }
    get ql() {
        return typeGetValue(this.c(CommodityChannelIndexIndicator.qm));
    }
    set ql(a) {
        this.h(CommodityChannelIndexIndicator.qm, a);
    }
    p6() {
        return this.ql;
    }
    qf(a) {
        this.ql = a;
    }
}
CommodityChannelIndexIndicator.qm = StrategyBasedIndicator.qi(20, CommodityChannelIndexIndicator.$);
CommodityChannelIndexIndicator.$t = markType(CommodityChannelIndexIndicator, 'CommodityChannelIndexIndicator', StrategyBasedIndicator.$);
/*<BeginStatics Name="Infragistics.Controls.Charts.CommodityChannelIndexIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.CommodityChannelIndexIndicator" />*/
